Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataFactory

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataFactory

public class DataFactory
extends java.lang.Object

DataFactory
Fabrique de IDataControler et de sous-classes d'accès aux données
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DataFactory()`

Method Summary
`static IDataControler` | `make()`
`static IDataDocument` | `makeDocument()`
`static IDataFolder` | `makeFolder()`
`static IDataIntranet` | `makeIntranet()`
`static IDataMIME` | `makeMIME()`
`static IDataOrder` | `makeOrder()`
`static IDataPopulation` | `makePopulation()`
`static IDataPublicator` | `makePublicator()`
`static IDataSearch` | `makeSearch()`
`static IDataSU` | `makeSU()`
`static IDataValidator` | `makeValidator()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFactory

    public DataFactory()

Method Detail

### make

    public static IDataControler make()

### makeDocument

    public static IDataDocument makeDocument()

### makeFolder

    public static IDataFolder makeFolder()

### makeIntranet

    public static IDataIntranet makeIntranet()

### makeMIME

    public static IDataMIME makeMIME()

### makeOrder

    public static IDataOrder makeOrder()

### makePopulation

    public static IDataPopulation makePopulation()

### makePublicator

    public static IDataPublicator makePublicator()

### makeSearch

    public static IDataSearch makeSearch()

### makeSU

    public static IDataSU makeSU()

### makeValidator

    public static IDataValidator makeValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD